config/routes.rb
Rails.application.routes.draw do
  devise_for :cuentas, :skip => [:sessions]
  as :cuenta do
    get 'iniciarsesion', to: 'devise/sessions#new', as: :new_cuenta_session
    post 'iniciarsesion', to: 'devise/sessions#create', as: :cuenta_session
    delete 'cerrarsesion', to: 'devise/sessions#destroy', as: :destroy_cuenta_session
    
    get 'cambiarcontrasenia', to: 'mi_cuenta/contrasenia#edit', as: :cambiar_contrasenia
    patch 'cambiarcontrasenia', to: 'mi_cuenta/contrasenia#update'
    put 'cambiarcontrasenia', to: 'mi_cuenta/contrasenia#update'
  end
  
  resources :inscripciones, only: [:new, :create]
  
  get 'mostrar_categoria', to: 'inscripciones#mostrar_categoria', as: 'mostrar_categoria'
  get 'mostrar_categoria/:nil/:discapacidad/:silla_ruedas', to: 'inscripciones#mostrar_categoria'
  get 'mostrar_categoria/:nil/:nil1/:discapacidad/:silla_ruedas', to: 'inscripciones#mostrar_categoria'
  get 'mostrar_categoria/:dia/:mes/:anio/:discapacidad/:silla_ruedas', to: 'inscripciones#mostrar_categoria'
  
  get 'tipo_transaccion', to: 'inscripciones#mostrar_categoria', as: 'tipo_transaccion'
  get 'tipo_transaccion/:tipo', to: 'inscripciones#tipo_transaccion'
  
  resources :contenido, :sistema, only: [:index]
  
  resources :inscritos, only: [:index] do
    resources :comprobantes, only: [:new, :create, :update, :show]
  end
  
  get 'mostrar_numero', to: 'comprobantes#mostrar_numero', as: 'mostrar_numero'
  get 'mostrar_numero/:elite', to: 'comprobantes#mostrar_numero'
  
  namespace :contenido do
    resources :posts, :archivos, :bloques, only: [:index, :new, :create, :edit, :update]
    resources :menus, only: [:index] do
      resources :elementos, only: [:new, :create, :edit, :update]
    end
  end
  
  namespace :sistema do
    resources :cuentas, :roles, only: [:index, :new, :create, :edit, :update]
  end
  
  get 'post/:id', controller: 'inicio', action: 'post', as: :post
  
  get 'archivo/:id', controller: 'inicio', action: 'archivo', as: :archivo
  
  get 'u/:usuario', controller: 'inicio', action: 'perfil', as: :perfil
  get 'u/:usuario/pag/:pag', controller: 'inicio', action: 'perfil'
  
  get 'pag/:pag', controller: 'inicio', action: 'index', as: :index_pag
  
  get 'etiqueta/:consulta', controller: 'inicio', action: 'etiqueta', as: :etiqueta
  get 'etiqueta/:consulta/pag/:pag', controller: 'inicio', action: 'etiqueta'
  
  get '/:alias', controller: 'inicio', action: 'alias', as: :alias
  get '/:alias/pag/:pag', controller: 'inicio', action: 'alias'
  
  root 'inicio#index'
  
  # Example of regular route:
  #   get 'products/:id' => 'catalog#view'

  # Example of named route that can be invoked with purchase_url(id: product.id)
  #   get 'products/:id/purchase' => 'catalog#purchase', as: :purchase

  # Example resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Example resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Example resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Example resource route with more complex sub-resources:
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', on: :collection
  #     end
  #   end

  # Example resource route with concerns:
  #   concern :toggleable do
  #     post 'toggle'
  #   end
  #   resources :posts, concerns: :toggleable
  #   resources :photos, concerns: :toggleable

  # Example resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end
end

app/controllers/inscritos_controller.rb
class InscritosController < ApplicationController
  
  before_action :authenticate_cuenta!
  before_action 'autenticar_permiso!("inscritos")'
  
  def index
    render locals: { inscritos: Inscripcion.all.sort('_id' => -1), nro_inscritos: Inscripcion.count, nro_comprobantes: Comprobante.count }
  end
  
end

app/views/inscritos/index.html.erb
<% content_for :titulo_pagina do %>Inscritos<% end %>
<% content_for :titulo_bloque do %>Inscritos<% end %>

<div style="font-size: 16px; margin-bottom: 15px">
  Inscritos: <b><%=nro_inscritos%></b> | Procesados: <b><%=nro_comprobantes %></b> 
</div>

<% unless inscritos.empty? %>
  <%= rejilla ['Fecha de inscripción','C.I. o Pasaporte','Nombres','Apellidos','Categoria','...'] do |r| %>
    <% inscritos.each do |inscrito| %>
      <% if inscrito.discapacidad && inscrito.silla_ruedas %>
        <% categoria = 'Con silla de ruedas' %>
      <% elsif inscrito.discapacidad %>
        <% categoria = 'Sin silla de ruedas' %>
      <% else %>
        <% categoria = AppConfig.aplicacion.categorias.select{ |k| k['edad_minima'].to_i <= (2015 - inscrito.fecha_nac.year) && k['edad_maxima'].to_i >= (2015 - inscrito.fecha_nac.year) }[0]['nombre'] %>
      <% end %>
      <%= r.fila [inscrito.creado.fecha.strftime('%d/%m/%Y %I:%M:%S %p'), inscrito.doc_id.upcase, inscrito.nombres.titleize, inscrito.apellidos.titleize, categoria, ( inscrito.comprobante.nil? ? link_to('Procesar', new_inscrito_comprobante_path(inscrito._id)) : link_to('Ver comprobante ('+inscrito.comprobante.nro.to_s.rjust(4,"0")+')', inscrito_comprobante_path(inscrito._id,inscrito.comprobante._id) ) ) ] %>
    <% end %>
  <% end %>
<% else %>
  <div style="text-align: center; font-weight: bold; margin: 10px">No se han encontrado inscritos.</div>
<% end %>